org.bouncycastle.util

## Class Arrays

- java.lang.Object
- - org.bouncycastle.util.Arrays

    public final class Arrays
    extends java.lang.Object

General array utilities.

### Method Summary

Methods
`static boolean` `areEqual(boolean[] a, boolean[] b)`
`static boolean` `areEqual(byte[] a, byte[] b)`
`static boolean` `areEqual(int[] a, int[] b)`
`static byte[]` `clone(byte[] data)`
`static int[]` `clone(int[] data)`
`static boolean` `constantTimeAreEqual(byte[] a, byte[] b)` A constant time equals comparison - does not terminate early if test will fail.
`static void` `fill(byte[] array, byte value)`
`static void` `fill(long[] array, long value)`
`static void` `fill(short[] array, short value)`
`static int` `hashCode(byte[] data)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### areEqual

    public static boolean areEqual(boolean[] a,
                   boolean[] b)

#### areEqual

    public static boolean areEqual(byte[] a,
                   byte[] b)

#### constantTimeAreEqual

    public static boolean constantTimeAreEqual(byte[] a,
                               byte[] b)

A constant time equals comparison - does not terminate early if test will fail.

Parameters:
  `a` - first array
  `b` - second array
Returns:
  true if arrays equal, false otherwise.

#### areEqual

    public static boolean areEqual(int[] a,
                   int[] b)

#### fill

    public static void fill(byte[] array,
            byte value)

#### fill

    public static void fill(long[] array,
            long value)

#### fill

    public static void fill(short[] array,
            short value)

#### hashCode

    public static int hashCode(byte[] data)

#### clone

    public static byte[] clone(byte[] data)

#### clone

    public static int[] clone(int[] data)